package com.ruoyi.bst.mchApply.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商加盟对象 bst_mch_apply
 *
 * @author ruoyi
 * @date 2025-04-08
 */
@Data
public class MchApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long applyId;

    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    private Long userId;

    @Excel(name = "申请状态", readConverterExp = "0=：审核中，1：审核通过，2：已驳回")
    @ApiModelProperty("申请状态")
    private String status;

    @Excel(name = "姓名")
    @ApiModelProperty("姓名")
    private String name;

    @Excel(name = "手机号")
    @ApiModelProperty("手机号")
    private String mobile;

    @Excel(name = "详细信息")
    @ApiModelProperty("详细信息")
    private String content;

    @Excel(name = "反馈信息", readConverterExp = "对=外")
    @ApiModelProperty("反馈信息")
    private String callback;

    @Excel(name = "审核人id")
    @ApiModelProperty("审核人id")
    private Long verifyBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("审核时间")
    private LocalDateTime verifyTime;

    @Excel(name = "审核意见")
    @ApiModelProperty("审核意见")
    private String verifyRemark;

    @Excel(name = "是否有设备")
    @ApiModelProperty("是否有设备")
    private Integer hasDevice;

    @Excel(name = "经营模式", readConverterExp = "1=个体,2=企业,3=政府,4=机构")
    @ApiModelProperty("经营模式")
    private String operateMode;

    @Excel(name = "使用场景列表")
    @ApiModelProperty("使用场景列表")
    private String scenes;

}
