package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderChangeDeviceDTO {
    
    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty("设备ID")
    private Long deviceId;

    @ApiModelProperty("设备SN")
    private String deviceSn;

    @ApiModelProperty("换车原因")
    @NotBlank(message = "换车原因不能为空")
    private String reason;

    @ApiModelProperty("手机经度")
    private BigDecimal lon;

    @ApiModelProperty("手机纬度")
    private BigDecimal lat;

    @ApiModelProperty("故障原因")
    private String faultDetail;

    @ApiModelProperty("故障图片/还车图片")
    private String faultPicture;

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("用户名称")
    private String userName;

}
